import * as Phaser from "phaser";

class GameButton {
  group: Phaser.GameObjects.Group | null = null;
  constructor(scene: Phaser.Scene, x: number, y: number, text: string) {
    const textObject = new Phaser.GameObjects.Text(scene, x, y, text, {
      color: 'black',
    })
    textObject.setOrigin(.5, .5)
    const bgObject = new Phaser.GameObjects.Sprite(scene, x, y, 'button-bg-inactive')
    bgObject.setScale(((textObject.width + 40) / 48), ((textObject.height + 40) / 48))
    bgObject.setInteractive();
    bgObject.on('pointerover', () => {
      
    })

    const buttonGroup = new Phaser.GameObjects.Group(scene)
    buttonGroup.add(textObject)
    buttonGroup.add(bgObject)

    this.group = buttonGroup

    scene.add.existing(bgObject)
    scene.add.existing(textObject)
    scene.add.existing(buttonGroup)

    console.log(textObject.width, textObject.height)
  }
  moveTo(x: number, y: number) {
    this.group.setXY(x, y)
  }
}
export default GameButton;